Ruby interface for apngasm
Ruby
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Failed to load latest commit information.
ext/rapngasm
spec
.gitignore
.rubocop.yml
Gemfile
Guardfile
README.md
Rakefile
rapngasm.gemspec

README.md

rapngasm Gem Version

Ruby interface for apngasm

Requirements

rapngasm requires libapngasm and SWIG.
APNGAsm install instructions can be found in the "Installing" section here.
SWIG can be found here.

If you are using rapngasm on Heroku you will need the rapngasm build pack to enable native compilation of the extension during bundling. You can find the buildpack here.

Building

rake compile

Specs!

rspec

License

libpng

Support

File a github issue

Expediated Support

Submit an issue and put up a bounty on it here.

Copyright

Genshin Souzou Kabushiki Kaisha
apngasm is copyright Max Stepin and is maintained by Max Stepin & Genshin Souzou K.K.